#include "menu.h"

Menu::Menu( Controller *controller, QWidget *parent ) : QWidget( parent )
{
  setupUi( this );

  connect( pbQuizSettings, SIGNAL( clicked() ), controller, SLOT( showQuizSettings() ) );
  connect( pbManageQuestions, SIGNAL( clicked() ), controller, SLOT( showPasswordCheck() ) );
  connect( pbExit, SIGNAL( clicked() ), controller, SLOT( close() ) );
  connect( pbDE, SIGNAL( clicked() ), controller, SLOT( changeLanguageToDE() ) );
  connect( pbEN, SIGNAL( clicked() ), controller, SLOT( changeLanguageToEN() ) );
  connect( pbEE, SIGNAL( clicked() ), controller, SLOT( changeLanguageToEE() ) );
}

Menu::~Menu()
{
}
